Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian W. Damus2013-09-16 13:32:48 +0000
committerChristian W. Damus2013-09-16 20:02:42 +0000
commitf7f93bc26a060e7ccc97ef1a84129ca51c20fff6 (patch)
tree0fa835f41fcbb6208d340e0a02d3db63c3f6a9fb /extraplugins
parentf4037d464d772ccd1a165471cc86ad4c093c5a56 (diff)
downloadorg.eclipse.papyrus-f7f93bc26a060e7ccc97ef1a84129ca51c20fff6.tar.gz
org.eclipse.papyrus-f7f93bc26a060e7ccc97ef1a84129ca51c20fff6.tar.xz
org.eclipse.papyrus-f7f93bc26a060e7ccc97ef1a84129ca51c20fff6.zip
[417335] Update CDO integration plug-ins to Java SE 6.0
https://bugs.eclipse.org/bugs/show_bug.cgi?id=417335 Regenerate EMF models for Java SE 6.0 source compliance level.
Diffstat (limited to 'extraplugins')
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF21
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.core/model/repositories.genmodel2
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.core/src-gen/org/eclipse/papyrus/cdo/internal/core/repositories/impl/RepositoriesPackageImpl.java2
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems.edit/META-INF/MANIFEST.MF2
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/META-INF/MANIFEST.MF4
-rw-r--r--extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/model/Problems.genmodel2
6 files changed, 12 insertions, 21 deletions
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF b/extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF
index 683b2669207..323fb7cac90 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.core/META-INF/MANIFEST.MF
@@ -4,16 +4,7 @@ Export-Package: org.eclipse.papyrus.cdo.core,
org.eclipse.papyrus.cdo.core.importer,
org.eclipse.papyrus.cdo.core.resource,
org.eclipse.papyrus.cdo.core.util,
- org.eclipse.papyrus.cdo.internal.core;
- x-friends:="org.eclipse.papyrus.cdo.core.tests,
- org.eclipse.papyrus.cdo.ui,
- org.eclipse.papyrus.cdo.ui.tests,
- org.eclipse.papyrus.cdo.uml.diagram.ui,
- org.eclipse.papyrus.cdo.uml.ui,
- org.eclipse.papyrus.cdo.ui.customization.properties,
- org.eclipse.papyrus.cdo.uml.ui.tests,
- org.eclipse.papyrus.cdo.uml.search.ui,
- org.eclipse.papyrus.cdo.uml.search.ui.tests",
+ org.eclipse.papyrus.cdo.internal.core;x-friends:="org.eclipse.papyrus.cdo.core.tests,org.eclipse.papyrus.cdo.ui,org.eclipse.papyrus.cdo.ui.tests,org.eclipse.papyrus.cdo.uml.diagram.ui,org.eclipse.papyrus.cdo.uml.ui,org.eclipse.papyrus.cdo.ui.customization.properties,org.eclipse.papyrus.cdo.uml.ui.tests,org.eclipse.papyrus.cdo.uml.search.ui,org.eclipse.papyrus.cdo.uml.search.ui.tests",
org.eclipse.papyrus.cdo.internal.core.exporter;x-friends:="org.eclipse.papyrus.cdo.core.tests,org.eclipse.papyrus.cdo.ui",
org.eclipse.papyrus.cdo.internal.core.expressions;x-friends:="org.eclipse.papyrus.cdo.core.tests,org.eclipse.papyrus.cdo.ui",
org.eclipse.papyrus.cdo.internal.core.importer;x-friends:="org.eclipse.papyrus.cdo.core.tests,org.eclipse.papyrus.cdo.ui",
@@ -29,16 +20,16 @@ Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.emf.cdo;bundle-version="[4.2.0,5.0.0)";visibility:=reexport,
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1";visibility:=reexport,
+ org.eclipse.emf.cdo;visibility:=reexport;bundle-version="[4.2.0,5.0.0)",
+ org.eclipse.papyrus.infra.core;visibility:=reexport;bundle-version="0.10.1",
org.eclipse.papyrus.infra.core.log;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.10.1";visibility:=reexport,
- org.eclipse.papyrus.infra.emf.readonly;bundle-version="0.10.1";visibility:=reexport,
+ org.eclipse.papyrus.infra.services.resourceloading;visibility:=reexport;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.emf.readonly;visibility:=reexport;bundle-version="0.10.1",
org.eclipse.emf.workspace;bundle-version="[1.5.1,2.0.0)",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.1",
org.eclipse.emf.cdo.dawn;bundle-version="[2.0.0,3.0.0)",
org.eclipse.emf.cdo.dawn.gmf;bundle-version="[2.1.0,3.0.0)",
- org.eclipse.emf.transaction;bundle-version="[1.4.0,2.0.0)";visibility:=reexport,
+ org.eclipse.emf.transaction;visibility:=reexport;bundle-version="[1.4.0,2.0.0)",
org.eclipse.gmf.runtime.notation;bundle-version="[1.5.0,2.0.0)",
org.eclipse.equinox.security;bundle-version="[1.1.100,2.0.0)",
org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.core/model/repositories.genmodel b/extraplugins/cdo/org.eclipse.papyrus.cdo.core/model/repositories.genmodel
index 00d82c4912f..cecd378a307 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.core/model/repositories.genmodel
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.core/model/repositories.genmodel
@@ -3,7 +3,7 @@
xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" copyrightText="Copyright (c) 2013 CEA LIST.

All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html

Contributors:
 CEA LIST - Initial API and implementation
"
modelDirectory="/org.eclipse.papyrus.cdo.core/src-gen" modelPluginID="org.eclipse.papyrus.cdo.core"
modelName="Repositories" nonNLSMarkers="true" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
- importerID="org.eclipse.emf.importer.ecore" complianceLevel="5.0" copyrightFields="false"
+ importerID="org.eclipse.emf.importer.ecore" complianceLevel="6.0" copyrightFields="false"
runtimeVersion="2.8" operationReflection="true" importOrganizing="true">
<foreignModel>repositories.ecore</foreignModel>
<genPackages prefix="Repositories" basePackage="org.eclipse.papyrus.cdo.internal.core"
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.core/src-gen/org/eclipse/papyrus/cdo/internal/core/repositories/impl/RepositoriesPackageImpl.java b/extraplugins/cdo/org.eclipse.papyrus.cdo.core/src-gen/org/eclipse/papyrus/cdo/internal/core/repositories/impl/RepositoriesPackageImpl.java
index e56eb4db826..9d55633bddb 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.core/src-gen/org/eclipse/papyrus/cdo/internal/core/repositories/impl/RepositoriesPackageImpl.java
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.core/src-gen/org/eclipse/papyrus/cdo/internal/core/repositories/impl/RepositoriesPackageImpl.java
@@ -250,7 +250,7 @@ public class RepositoriesPackageImpl extends EPackageImpl implements Repositorie
* @generated
*/
protected void createExtendedMetaDataAnnotations() {
- String source = "http:///org/eclipse/emf/ecore/util/ExtendedMetaData"; //$NON-NLS-1$
+ String source = "http:///org/eclipse/emf/ecore/util/ExtendedMetaData"; //$NON-NLS-1$
addAnnotation
(getRepository_URL(),
source,
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems.edit/META-INF/MANIFEST.MF b/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems.edit/META-INF/MANIFEST.MF
index 6a1d77fbca5..0754f5bc291 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems.edit/META-INF/MANIFEST.MF
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems.edit/META-INF/MANIFEST.MF
@@ -8,7 +8,7 @@ Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
org.eclipse.papyrus.cdo.validation.problems;bundle-version="0.10.1",
- org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport
+ org.eclipse.emf.edit;visibility:=reexport;bundle-version="[2.8.0,3.0.0)"
Bundle-Vendor: %providerName
Bundle-Version: 0.10.1.qualifier
Bundle-ManifestVersion: 2
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/META-INF/MANIFEST.MF b/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/META-INF/MANIFEST.MF
index 877c77c7680..9582a6b5c65 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/META-INF/MANIFEST.MF
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/META-INF/MANIFEST.MF
@@ -9,8 +9,8 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
- org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.cdo;bundle-version="[4.2.0,5.0.0)";visibility:=reexport
+ org.eclipse.emf.ecore;visibility:=reexport;bundle-version="[2.8.0,3.0.0)",
+ org.eclipse.emf.cdo;visibility:=reexport;bundle-version="[4.2.0,5.0.0)"
Bundle-Vendor: %providerName
Bundle-Version: 0.10.1.qualifier
Bundle-ManifestVersion: 2
diff --git a/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/model/Problems.genmodel b/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/model/Problems.genmodel
index 1d4e7e10f33..0dd68bec6e0 100644
--- a/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/model/Problems.genmodel
+++ b/extraplugins/cdo/org.eclipse.papyrus.cdo.validation.problems/model/Problems.genmodel
@@ -7,7 +7,7 @@
editorPluginClass="org.eclipse.papyrus.cdo.validation.problems.presentation.ProblemsEditorPlugin"
nonNLSMarkers="true" rootExtendsInterface="org.eclipse.emf.cdo.CDOObject" rootExtendsClass="org.eclipse.emf.internal.cdo.CDOObjectImpl"
reflectiveDelegation="true" codeFormatting="true" testSuiteClass="org.eclipse.papyrus.cdo.validation.problems.tests.ProblemsAllTests"
- importerID="org.eclipse.emf.importer.cdo" featureDelegation="Reflective" complianceLevel="5.0"
+ importerID="org.eclipse.emf.importer.cdo" featureDelegation="Reflective" complianceLevel="6.0"
copyrightFields="false" providerRootExtendsClass="org.eclipse.papyrus.cdo.validation.problems.edit.ProblemTypeItemProviderAdapter"
optimizedHasChildren="true" tableProviders="true" colorProviders="true" fontProviders="true"
runtimeVersion="2.8" operationReflection="true" importOrganizing="true">

Back to the top